> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774051868.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify order



## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/order/modify
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/order/modify:
    post:
      tags:
        - Spot Trading
      summary: Modify order
      description: >
        The endpoint modifies existing [order](/glossary#orders).


        Supported order types: limit, stop limit, stop market.


        Request must contain one of the following parameters: amount, price,
        activationPrice.


        <Warning>

        Rate limit: 10000 requests/10 sec.

        </Warning>


        <Note>

        - Use total parameter instead of amount for modify buy stop market
        order.

        - Modification by client_order_id takes priority.

        - The request supports working only with order_id or only with
        client_order_id.

        - Do not pass both values at the same time.

        </Note>


        <Accordion title="Error Codes">

        **Status 400** (client errors): 1, 2, 6, 20, 24, 101, 158


        **Status 422** (business logic): 10, 11, 12, 13, 14, 15, 16, 17, 25, 27,
        40, 42, 51, 103, 104, 105, 106, 111, 112, 113, 114, 115, 150, 151, 152,
        153, 155, 157, 159, 160, 161, 162, 163, 250, 251, 300, 302, 330

        </Accordion>


        <Accordion title="Errors">

        ```json

        {
          "code": 31,
          "message": "Validation failed",
          "errors": {
            "market": ["Market is not available."]
          }
        }

        ```


        ```json

        {
          "code": 2,
          "message": "Inner validation failed",
          "errors": {
            "order_id": ["Unexecuted order was not found."]
          }
        }

        ```


        ```json

        {
          "code": 10,
          "message": "Validation failed",
          "errors": {
            "amount": ["Not enough balance."]
          }
        }

        ```

        </Accordion>
      operationId: modifyOrder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - market
                - request
                - nonce
              properties:
                order_id:
                  type: integer
                  description: Active order id. Required if client_order_id is not set.
                  example: 4180284841
                client_order_id:
                  type: string
                  description: >-
                    Identifier should be unique and contain letters, dashes,
                    numbers, dots or underscores. Required if order_id is not
                    set.
                  example: order1987111
                market:
                  type: string
                  description: 'Available [market](/glossary#market). Example: BTC_USDT'
                  example: BTC_USDT
                amount:
                  type: string
                  description: >-
                    Amount of [stock](/glossary#stock) currency to buy or sell.
                    Example: '0.001' or 0.001
                  example: '0.001'
                total:
                  type: string
                  description: >-
                    Total of [money](/glossary#money) currency to buy or sell.
                    Example: '0.001' or 0.001
                  example: '100'
                price:
                  type: string
                  description: >-
                    Price in [money](/glossary#money) currency. Example: '9800'
                    or 9800
                  example: '9800'
                activationPrice:
                  type: string
                  description: >-
                    Activation price in [money](/glossary#money) currency.
                    Example: '10000' or 10000
                  example: '10000'
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: string
                  example: '{{nonce}}'
      responses:
        '200':
          description: Order modified successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
        '400':
          description: >-
            Bad request - client errors (invalid arguments, order not found,
            quote expired, activation price issues)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: >-
            Unprocessable entity - business logic validation failed (balance
            insufficient, trading restrictions, order type conflicts, price
            bands exceeded)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OrderResponse:
      type: object
      properties:
        order_id:
          type: integer
          description: Order ID
          example: 4180284841
        client_order_id:
          type: string
          description: Custom client order ID; empty string if not specified
          example: order1987111
        market:
          type: string
          description: Deal market
          example: BTC_USDT
        side:
          type: string
          description: Order side
          example: buy
        type:
          type: string
          description: Order type
          example: limit
        timestamp:
          type: number
          description: Timestamp of order creation
          example: 1595792396.165973
        deal_money:
          type: string
          description: If order finished - amount in money currency that is finished
          example: '0'
        deal_stock:
          type: string
          description: If order finished - amount in stock currency that is finished
          example: '0'
        amount:
          type: string
          description: Amount
          example: '0.01'
        left:
          type: string
          description: If order not finished - rest of the amount that must be finished
          example: '0.001'
        deal_fee:
          type: string
          description: Fee in money currency when order is filled
          example: '0'
        price:
          type: string
          description: Price
          example: '40000'
        postOnly:
          type: boolean
          description: PostOnly flag
          example: false
        ioc:
          type: boolean
          description: IOC flag
          example: false
        status:
          type: string
          description: Order status
          example: FILLED
        stp:
          type: string
          description: Self trade prevention mode
          example: 'no'
        positionSide:
          type: string
          description: Position side (for collateral orders)
          example: LONG
        rpi:
          type: boolean
          description: Indicates Retail Price Improvement (RPI) mode for the order.
          example: true
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````